Skip to main content

Create Resident: Rent Manager

POSThttps://api.propexo.com/v1/residents/rentmanager/
Method
POST /Tenants
POST /Tenants/UserDefinedValues
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    rent_periodstringrequired

    How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.

    Show 3 enum values
    MONTHLYWEEKLYDAILY
    rent_due_dayintegerrequired

    Day of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object

    Possible values: >= 1 and <= 31

    first_namestringrequired

    The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object

    last_namestringrequired

    The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object

    middle_namestring

    The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object

    email_1string<email>

    The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object

    date_of_birthstring<date-time>

    The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.

    notesstring

    Notes about the resident

    address_1string

    Street address for the resident. This maps to the Street property of the primary address of the Tenant object

    citystring

    City of the resident's primary address

    statestring

    State of the resident's primary address

    zipstring

    Zip/Postal Code of the resident's primary address

    address_1_alternatestring

    Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object

    city_alternatestring

    City of the resident's secondary/alternate address

    state_alternatestring

    State of the resident's secondary/alternate address

    zip_alternatestring

    Zip/Postal Code of the resident's secondary/alternate address

    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object
    attachments object[]

    Attachment files for user defined fields on the resident. All the files can have a maximum combined file size of 50 MB

  • Array [
  • file_type_idstringrequired

    The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"

    file_typestring

    The type of file being uploaded. This defaults to "Document"

    Show 1 enum value
    Document
    Default value: Document
    file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.

    Possible values: <= 40443576 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    rent_periodstringrequired

    How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.

    Show 3 enum values
    MONTHLYWEEKLYDAILY
    rent_due_dayintegerrequired

    Day of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object

    Possible values: >= 1 and <= 31

    first_namestringrequired

    The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object

    last_namestringrequired

    The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object

    middle_namestring | nullnullablerequired

    The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object

    email_1(string | null)<email>nullablerequired

    The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object

    date_of_birth(string | null)<date-time>nullablerequired

    The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.

    notesstring | nullnullablerequired

    Notes about the resident

    address_1string | nullnullablerequired

    Street address for the resident. This maps to the Street property of the primary address of the Tenant object

    citystring | nullnullablerequired

    City of the resident's primary address

    statestring | nullnullablerequired

    State of the resident's primary address

    zipstring | nullnullablerequired

    Zip/Postal Code of the resident's primary address

    address_1_alternatestring | nullnullablerequired

    Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object

    city_alternatestring | nullnullablerequired

    City of the resident's secondary/alternate address

    state_alternatestring | nullnullablerequired

    State of the resident's secondary/alternate address

    zip_alternatestring | nullnullablerequired

    Zip/Postal Code of the resident's secondary/alternate address

    custom_data object | nullrequireddeprecated
    object
    attachments object[]required
  • Array [
  • file_type_idstringrequired

    The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"

    file_typestring
    Show 1 enum value
    Document
    Default value: Document
    file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.

    Possible values: <= 40443576 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/residents/rentmanager/
curl -X POST https://api.propexo.com/v1/residents/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"rent_period": "MONTHLY",
"rent_due_day": 0,
"first_name": "string",
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"rent_period": "MONTHLY",
"rent_due_day": 0,
"first_name": "string",
"last_name": "string",
"middle_name": "string",
"email_1": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"notes": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"address_1_alternate": "string",
"city_alternate": "string",
"state_alternate": "string",
"zip_alternate": "string",
"attachments": "Unknown Type: array,null"
}
}